Bug 160444 - www/seamonkey fails to build
www/seamonkey fails to build
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-04 02:00 UTC by freebsd-announce
Modified: 2011-11-29 21:30 UTC (History)
0 users

See Also:


Attachments
patch-bridge-bridge.mk (378 bytes, text/x-patch)
2011-10-24 08:53 UTC, nalitoja
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd-announce 2011-09-04 02:00:19 UTC
I noticed Seamonkey2 is deprecated and the suggestion to move to Seamonkey.

I deinstalled Seamonkey2 and ran make install on the Seamonkey directory; the build failed at this point:

/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config/nsinstall -R -m 755 js ../../../dist/bin
/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config/nsinstall -R -m 755 js ..
gmake[5]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/shell'
gmake[4]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
gmake[3]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake tools_tier_js
gmake[3]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
hg: not found
tools_tier_js
gmake[4]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[4]: `js/src/Makefile' is up to date.
gmake[4]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[4]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
gmake[5]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config'
gmake[5]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/editline'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/editline'
gmake[5]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/shell'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/shell'
gmake[4]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
gmake[3]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[2]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[2]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
hg: not found
tier_platform: ./../ldap/sdks/c-sdk xpcom modules/libreg modules/libpref intl netwerk  extensions/auth jpeg gfx/qcms ipc js/ipc js/jetpack js/src/xpconnect intl/chardet  widget/src/gtkxtbin modules/libjar db  extensions/cookie extensions/permissions  storage rdf js/jsd media/libvorbis  media/libnestegg media/libvpx media/libogg media/libtheora  media/libsydneyaudio  uriloader modules/libimg caps parser gfx modules/libpr0n dom view widget content editor layout docshell embedding xpfe/appshell  extensions/universalchardet accessible profile xpfe/components widget/src/xremoteclient extensions/spellcheck toolkit security/manager extensions/pref services/crypto/component startupcache ./../mozilla/xpfe/components/autocomplete ./../ldap/xpcom ./../mailnews/base ./../mailnews/mime/public ./../mailnews  toolkit/library xpcom/stub toolkit/system/gnome toolkit/system/dbus
gmake[3]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/ldap/sdks/c-sdk'
Makefile:42: config/autoconf.mk: No such file or directory
./../../config/config.mk:57: /config/autoconf.mk: No such file or directory
Makefile:55: *** target file `depend' has both : and :: entries.  Stop.
gmake[3]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/ldap/sdks/c-sdk'
gmake[2]: *** [tier_platform] Error 2
gmake[2]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[1]: *** [default] Error 2
gmake[1]: Leaving directory `/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake: *** [default] Error 2
*** Error code 1

Stop in /usr/ports/www/seamonkey.
*** Error code 1

Stop in /usr/ports/www/seamonkey.

How-To-Repeat: Apparently, run make install in www/seamonkey.
Comment 1 Glen Barber freebsd_committer 2011-09-04 02:04:32 UTC
Responsible Changed
From-To: freebsd-www->freebsd-ports-bugs

Ports PR.
Comment 2 freebsd-announce 2011-09-04 02:40:05 UTC
Greetings....

Prior to submitting the bug report, I did run make update to refresh
the ports tree; I did read UPDATING; I did run make clean in
www/seamonkey and try to re-build in case it was a one-off.

During the make, for the first two attempts, I did not want LDAP so I
deselected it, and so I thought "maybe there is some requirement for
LDAP?" so I deleted the options file in case LDAP was required and it
still failed; but at a different place, it seems; and the error "hg:
not found" seems to occur more frequently:

/usr/ports/www/seamonkey/work/comm-release/mozilla/config/nsinstall -t
-m 755 seamonkey-bin ../../mozilla/dist/bin
hg: not found
hg: not found
hg: not found
/usr/ports/www/seamonkey/work/comm-release/mozilla/config/nsinstall -t
seamonkey.1 ../../mozilla/dist/man/man1
hg: not found
/usr/ports/www/seamonkey/work/comm-release/mozilla/config/nsinstall -t
seamonkey ../../mozilla/dist/bin
hg: not found
/usr/ports/www/seamonkey/work/comm-release/mozilla/config/nsinstall -t
../../suite/installer/license.txt ../../mozilla/dist/bin/
hg: not found
/usr/ports/www/seamonkey/work/comm-release/mozilla/config/nsinstall -t
-m 644 blocklist.xml ../../mozilla/dist/bin
hg: not found
/usr/ports/www/seamonkey/work/comm-release/mozilla/config/nsinstall -t
../../suite/test/xpcshell.ini ../../mozilla/_tests/xpcshell
hg: not found
cp ../../suite/test/xpcshell.ini
../../mozilla/_tests/xpcshell/all-test-dirs.list
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/app'
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite'
gmake[2]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release'
gmake tools_tier_app
gmake[2]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release'
hg: not found
tools_tier_app
gmake[3]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release'
gmake[3]: `editor/ui/Makefile' is up to date.
gmake[3]: `suite/branding/nightly/Makefile' is up to date.
gmake[3]: `suite/Makefile' is up to date.
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release'
gmake[3]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/editor/ui'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/editor/ui/locales'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/editor/ui/locales'
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/editor/ui'
gmake[3]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/branding/nightly'
gmake[3]: Nothing to be done for `tools'.
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/branding/nightly'
gmake[3]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/browser'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/browser'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/feeds/public'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/feeds/public'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/common'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/feeds/src'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/feeds/src'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/common/public'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/common/public'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/common/src'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/common/src'
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/common'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/locales'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/locales'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/modules'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/modules'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/themes/classic'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/themes/classic'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/themes/modern'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/themes/modern'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/profile'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/security'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/security'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/shell/public'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/shell/public'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/profile/migration/public'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/profile/migration/public'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/profile/migration/src'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/profile/migration/src'
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/profile'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/shell/src'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/shell/src'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/smile'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/mailnews'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/mailnews/modules'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/mailnews/modules'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/smile/public'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/smile/public'
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/mailnews'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/smile/src'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/smile/src'
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/smile'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/build'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/build'
hg: not found
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/suite/app'
gmake[4]: Nothing to be done for `tools'.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite/app'
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/suite'
gmake[2]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release'
gmake[1]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release'
if test -d ./mozilla/dist/bin ; then touch
./mozilla/dist/bin/.purgecaches ; fi
hg: not found
sed:
/usr/ports/www/seamonkey/work/comm-release/mozilla/build/unix/*.pc: No
such file or directory
Comment 3 Mark Linimon freebsd_committer 2011-09-05 05:56:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer(s).
Comment 4 freebsd-announce 2011-09-07 03:06:06 UTC
On Sat, Sep 03, 2011 at 09:40:05PM -0400, Joe Altman wrote:
> Greetings....
> 
> Prior to submitting the bug report, I did run make update to refresh
> the ports tree; I did read UPDATING; I did run make clean in
> www/seamonkey and try to re-build in case it was a one-off.

<snip>

A 'make update' indicated a new version of Seamonkey was
available. Make in www/seamonkey still fails with default knobs left
as specified in Makefile.

Here is the tail of the make:

gmake[6]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi'
Making all in include
gmake[7]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi/include'
gmake[7]: Nothing to be done for `all'.
gmake[7]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi/include'
Making all in testsuite
gmake[7]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi/testsuite'
gmake[7]: Nothing to be done for `all'.
gmake[7]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi/testsuite'
Making all in man
gmake[7]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi/man'
gmake[7]: Nothing to be done for `all'.
gmake[7]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi/man'
gmake[7]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi'
gmake[7]: Nothing to be done for `all-am'.
gmake[7]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi'
gmake[6]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi'
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/ctypes/libffi'
mkdir -p nanojit
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake libs_tier_js
gmake[3]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
hg: not found
libs_tier_js
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[4]: `js/src/Makefile' is up to date.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config/nsinstall
-R -m 644 libjs_static.a libjs_static.a.desc ./../../dist/lib
/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config/nsinstall
-R -m 755 host_jskwgen host_jsoplengen ./../../dist/host/bin
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config'
/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config/nsinstall
-R -m 755 nsinstall ../../../dist/host/bin
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/editline'
gmake[5]: Nothing to be done for `libs'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/editline'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/shell'
/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config/nsinstall
-R -m 755 js ../../../dist/bin
/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config/nsinstall
-R -m 755 js ..
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/shell'
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake tools_tier_js
gmake[3]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
hg: not found
tools_tier_js
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[4]: `js/src/Makefile' is up to date.
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[4]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/config'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/editline'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/editline'
gmake[5]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/shell'
gmake[5]: Nothing to be done for `tools'.
gmake[5]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src/shell'
gmake[4]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla/js/src'
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[2]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[2]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
hg: not found
tier_platform: ./../ldap/sdks/c-sdk xpcom modules/libreg
modules/libpref intl netwerk  extensions/auth jpeg gfx/qcms ipc js/ipc
js/jetpack js/src/xpconnect intl/chardet  widget/src/gtkxtbin
modules/libjar db  extensions/cookie extensions/permissions  storage
rdf js/jsd media/libvorbis  media/libnestegg media/libvpx media/libogg
media/libtheora  media/libsydneyaudio  uriloader modules/libimg caps
parser gfx modules/libpr0n dom view widget content editor layout
docshell embedding xpfe/appshell  extensions/universalchardet
accessible profile xpfe/components widget/src/xremoteclient
extensions/spellcheck toolkit security/manager extensions/pref
services/crypto/component startupcache
./../mozilla/xpfe/components/autocomplete ./../ldap/xpcom
./../mailnews/base ./../mailnews/mime/public ./../mailnews
toolkit/library xpcom/stub toolkit/system/gnome toolkit/system/dbus
gmake[3]: Entering directory
`/usr/ports/www/seamonkey/work/comm-release/ldap/sdks/c-sdk'
Makefile:42: config/autoconf.mk: No such file or directory
../../../config/config.mk:57: /config/autoconf.mk: No such file or
directory
Makefile:55: *** target file `depend' has both : and :: entries.
Stop.
gmake[3]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/ldap/sdks/c-sdk'
gmake[2]: *** [tier_platform] Error 2
gmake[2]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake[1]: *** [default] Error 2
gmake[1]: Leaving directory
`/usr/ports/www/seamonkey/work/comm-release/mozilla'
gmake: *** [default] Error 2
*** Error code 1

Stop in /usr/ports/www/seamonkey.
*** Error code 1

Stop in /usr/ports/www/seamonkey.

I have no idea what other info I can provide that might help.
Comment 5 freebsd-announce 2011-09-07 15:42:00 UTC
> I have no idea what other info I can provide that might help. 

Actually, I may be incorrect. I'll look closer later and update the
ticket.
Comment 6 freebsd-announce 2011-09-07 21:46:56 UTC
On Wed, Sep 07, 2011 at 10:42:00AM -0400, Joe Altman wrote:
> > I have no idea what other info I can provide that might help. 
> 
> Actually, I may be incorrect. I'll look closer later and update the
> ticket.

Seamonkey 2.3.3 does build and install, but I must leave the default
knobs for LDAP, etcetera, as specified in the Makefile. Formerly, I
was able to de-select various knobs without affecting the build.

I suppose that means the ticket can be closed, or at least downgraded
to "we'll get to it if we have time...."; and maybe I'll wander over
to Bugzilla and file a PR there.

Thanks for your help, and best regards,

Joe
Comment 7 Beat Gaetzi freebsd_committer 2011-10-19 12:41:24 UTC
State Changed
From-To: open->analyzed

This build failure is caused if an OPTION is deselected. Until a fix for 
this is available please don't change the OPTIONS of SeaMonkey.
Comment 8 nalitoja 2011-10-24 08:53:43 UTC
"J. Altman" <freebsd-announce@chthonic.com> writes:

[...]
> gmake[3]: Entering directory `/usr/ports/www/seamonkey/work/comm-release/ldap/sdks/c-sdk'
> Makefile:42: config/autoconf.mk: No such file or directory
> ./../../config/config.mk:57: /config/autoconf.mk: No such file or directory

Apparently, it's broken because "the UI when disabled is not good anyway".

  https://bugzilla.mozilla.org/show_bug.cgi?id=394502#c18
Comment 9 shuvaev 2011-10-25 17:15:55 UTC
As a followup: I have successfully build seamonkey 2.3.1 with this patch
without ldap. I have not tested if mail/newsgroups still work,
but the browser is working fine!

I think dropping this patch to files and applying it when WITHOUT_LDAP
is selected is better than the current state of the port,
even without any further testing. Currently one cannot use seamonkey
without ldap at all.

For the record, this is my port configuration:
===> The following configuration options are available for seamonkey-2.3.2:
     MAILNEWS=on "Enable Mail and News modules"
     COMPOSER=on "Enable the HTML Composer module"
     LDAP=off "Enable LDAP support for Mailnews"
     CHATZILLA=on "Enable the Chatzilla IRC module"
     LIGHTNING=on "Enable calendar extension"
     DBUS=off "Enable D-BUS support"
     SMB=off "Enable smb:// URI support using gnomevfs"
     DEBUG=off "Build a debugging image"
     LOGGING=off "Enable additional log messages"
     OPTIMIZED_CFLAGS=off "Enable some additional optimizations"

0.02$,
Alexey.
Comment 10 dfilter freebsd_committer 2011-10-26 19:24:30 UTC
beat        2011-10-26 18:24:21 UTC

  FreeBSD ports repository

  Modified files:
    www/seamonkey        Makefile 
  Added files:
    www/seamonkey/files  extra-patch-bridge-bridge.mk 
  Log:
  - Fix build with WITHOUT_LDAP
  - Mark WITHOUT_MAILNEWS as BROKEN
  
  PR:             ports/160444
  Submitted by:   J. Altman <freebsd-announce AT chthonic.com> and many others
  Patch by:       Nali Toja <nalitoja AT gmail.com>
  Tested by:      Alexey Shuvaev <shuvaev AT physik.uni-wuerzburg.de>
  
  Revision  Changes    Path
  1.313     +2 -1      ports/www/seamonkey/Makefile
  1.1       +15 -0     ports/www/seamonkey/files/extra-patch-bridge-bridge.mk (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Beat Gaetzi freebsd_committer 2011-10-26 19:33:02 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!
Comment 12 Riccardo Torrini 2011-11-26 14:53:15 UTC
... again  :-)

Trying to update from 2.4.1 to 2.5 with all knobs disabled fail
to apply patch "extra-patch-bridge-bridge.mk" because actual
bridge.mk has 4 more lines in the middle of the lines changed:

-----8<-----
46  #ifdef MOZ_MORK
47  APP_LIBXUL_DIRS += $(DEPTH)$(SUBDIR)/db/mork
48  #endif
49  
-----8<-----

I manually changed extra-patch-bridge-bridge.mk, inserting that
four lines and changing header ( s/12/16/g, see below ).
This way it compiles and run even with all know disabled.

===>   Registering installation for seamonkey-2.5
[...]
===>>> Upgrade of seamonkey-2.4.1 to seamonkey-2.5 complete
Build identifier: Mozilla/5.0 (X11; FreeBSD i386; rv:8.0.1) Gecko/20111126 Firefox/8.0.1 SeaMonkey/2.5


-----8<-----
cd /usr/ports/www/seamonkey
diff -u4 files/*extra-mailnews-patch-bridge-bridge.mk
--- files/BAD_extra-mailnews-patch-bridge-bridge.mk     2011-10-26 23:11:40.000000000 +0200
+++ files/extra-mailnews-patch-bridge-bridge.mk 2011-11-26 14:10:12.000000000 +0100
@@ -1,7 +1,7 @@
 --- bridge/bridge.mk.orig      2011-09-29 01:10:49.000000000 +0200
 +++ bridge/bridge.mk   2011-10-26 22:21:47.000000000 +0200
-@@ -38,12 +38,12 @@
+@@ -38,16 +38,16 @@
  
  APP_LIBXUL_DIRS += $(DEPTH)$(SUBDIR)/mozilla/xpfe/components/autocomplete
  
 -#ifdef MOZ_LDAP_XPCOM
@@ -10,8 +10,12 @@
  APP_LIBXUL_DIRS += $(DEPTH)$(SUBDIR)/ldap/xpcom
 -#endif
 +endif
  
+ #ifdef MOZ_MORK
+ APP_LIBXUL_DIRS += $(DEPTH)$(SUBDIR)/db/mork
+ #endif
+
 -ifdef MOZ_MAIL_NEWS
 +ifdef disabled
  APP_LIBXUL_DIRS += \
    $(DEPTH)$(SUBDIR)/mailnews/base \
-----8<-----


Not sure if a new PR is needed, let me know.


-- 
Riccardo.
Comment 13 dfilter freebsd_committer 2011-11-29 21:28:13 UTC
beat        2011-11-29 21:27:59 UTC

  FreeBSD ports repository

  Modified files:
    www/seamonkey        Makefile 
    www/seamonkey/files  extra-mailnews-patch-bridge-bridge.mk 
  Log:
  - Unbreak WITHOUT_MAILNEWS option
  
  PR:             ports/160444
  Submitted by:   Riccardo Torrini <riccardo AT torrini.org>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.317     +0 -1      ports/www/seamonkey/Makefile
  1.2       +6 -2      ports/www/seamonkey/files/extra-mailnews-patch-bridge-bridge.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"